Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.monitors
Class ProfileMonitor.Monitor

    java.lang.Object
      avrora.monitors.ProfileMonitor.Monitor

All Implemented Interfaces:
  Monitor

Enclosing class:
  ProfileMonitor

public class ProfileMonitor.Monitor
extends java.lang.Object
implements Monitor

The `Monitor` inner class contains the probes and formatting code that can report the profile for the program after it has finished executing.

Nested Class Summary
`class` | `ProfileMonitor.Monitor.CCProbe` The `CCProbe` class implements a probe that keeps track of the execution count of each instruction as well as the number of cycles that it has consumed.
`class` | `ProfileMonitor.Monitor.CProbe` The `CProbe` class implements a simple probe that keeps a count of how many times each instruction in the program has been executed.
`class` | `ProfileMonitor.Monitor.PeriodicProfile` The `PeriodicProfile` class can be used as a simulator event to periodically sample the program counter value.

Field Summary
`ProfileMonitor.Monitor.CCProbe` | `ccprobe`
`ProfileMonitor.Monitor.CProbe` | `cprobe`
`long[]` | `icount`
`long[]` | `itime`
`Program` | `program`
`Simulator` | `simulator`

Method Summary
`void` | `report()` The `report()` method is called after the simulation is complete.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simulator

    public final Simulator simulator

### program

    public final Program program

### ccprobe

    public final ProfileMonitor.Monitor.CCProbe ccprobe

### cprobe

    public final ProfileMonitor.Monitor.CProbe cprobe

### icount

    public final long[] icount

### itime

    public final long[] itime

Method Detail

### report

    public void report()

  Description copied from interface: `Monitor`
  The `report()` method is called after the simulation is complete. The monitor generates a textual or other format representation of the information collected during the execution of the program.

  Specified by:
    `report` in interface `Monitor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD